project (GHSOM)

FIND_PACKAGE(Boost COMPONENTS date_time filesystem thread
	program_options regex)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${Comparator_SOURCE_DIR}
	${Matrices_SOURCE_DIR}
	${ClusteringBase_SOURCE_DIR}
)

if(NOT Boost_FOUND)
	MESSAGE(FATAL_ERROR "Boost not found!")
endif(NOT Boost_FOUND)

link_directories(
	${Matrices_BINARY_DIR}
	${Comparator_BINARY_DIR}
	${ClusteringBase_BINARY_DIR}
)

add_executable(ghsom ghsom.cpp SOMNeuron.cpp SOMNet.cpp HierarchicalSOM.cpp Options.cpp)

target_link_libraries(ghsom ${Boost_LIBRARIES} matrices comparator clusteringbase)

#add_library(ghsom SHARED SOMNeuron.cpp SOMNet.cpp HierarchicalSOM.cpp)

#target_link_libraries(ghsom ${Boost_LIBRARIES} matrices comparator clusteringbase)

#add_executable(ghsom_main ghsom_main.cpp Options.cpp)

#target_link_libraries(ghsom_main ghsom)


